export const ENCRYPTED_FIELDS_PLACEHOLDER: "{\n  fields: [\n    {\n      path: \"encryptedField\",\n      // keyId: UUID(\"...\"), // or specify KMS + Key encryption key below\n      bsonType: \"string\",\n      queries: { \"queryType\": \"equality\" } // optional\n    }\n  ]\n}";
export default FLE2Fields;
declare function FLE2Fields({ isCapped, isTimeSeries, isFLE2, onChangeIsFLE2, onChangeField, fle2, configuredKMSProviders, }: {
    isCapped: any;
    isTimeSeries: any;
    isFLE2: any;
    onChangeIsFLE2: any;
    onChangeField: any;
    fle2: any;
    configuredKMSProviders: any;
}): JSX.Element;
declare namespace FLE2Fields {
    namespace propTypes {
        const isCapped: PropTypes.Validator<boolean>;
        const isTimeSeries: PropTypes.Validator<boolean>;
        const isFLE2: PropTypes.Validator<boolean>;
        const onChangeIsFLE2: PropTypes.Validator<(...args: any[]) => any>;
        const onChangeField: PropTypes.Validator<(...args: any[]) => any>;
        const fle2: PropTypes.Validator<object>;
        const configuredKMSProviders: PropTypes.Requireable<any[]>;
    }
}
import PropTypes from 'prop-types';
//# sourceMappingURL=fle2-fields.d.ts.map