import React from 'react';
import type Collection from 'mongodb-collection-model';
type CollectionsListProps = {
    namespace: string;
    collections: ReturnType<Collection['toJSON']>[];
    collectionsLoadingStatus: string;
    collectionsLoadingError?: string | null;
    isEditable: boolean;
    onDeleteCollectionClick(ns: string): void;
    onCreateCollectionClick(dbName: string): void;
    onRefreshClick(): void;
};
declare const Collections: React.FunctionComponent<CollectionsListProps>;
declare const ConnectedCollections: import("react-redux").ConnectedComponent<React.FunctionComponent<CollectionsListProps>, {
    namespace: string;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedCollections;
export { Collections };
//# sourceMappingURL=collections.d.ts.map