import React from 'react';
import type { Database } from '../modules/databases';
type DatabasesProps = {
    databases: ReturnType<Database['toJSON']>[];
    databasesLoadingStatus: string;
    databasesLoadingError: string | null;
    isWritable: boolean;
    isGenuineMongoDB: boolean;
    isDataLake: boolean;
    onDeleteDatabaseClick(ns: string): void;
    onCreateDatabaseClick(): void;
    onRefreshClick(): void;
};
declare const Databases: React.FunctionComponent<DatabasesProps>;
declare const ConnectedDatabases: React.FunctionComponent<Record<string, never>>;
export default ConnectedDatabases;
export { Databases };
//# sourceMappingURL=databases.d.ts.map