import React from 'react';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { ActivateHelpers } from 'hadron-app-registry';
type DropNamespaceServices = {
    globalAppRegistry: AppRegistry;
    dataService: Pick<DataService, 'dropDatabase' | 'dropCollection'>;
    logger: LoggerAndTelemetry;
};
export declare function activatePlugin(_: unknown, { globalAppRegistry, dataService, logger: { track } }: DropNamespaceServices, { on, cleanup, signal }: ActivateHelpers): {
    store: {};
    deactivate: () => void;
};
export declare const DropNamespaceComponent: React.FunctionComponent;
export {};
//# sourceMappingURL=drop-namespace.d.ts.map