import type AppRegistry from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { MongoDBInstance } from 'mongodb-instance-model';
import type { FavoriteQueryStorageAccess, PipelineStorage } from '@mongodb-js/my-queries-storage/provider';
export type RenameCollectionPluginServices = {
    dataService: Pick<DataService, 'renameCollection'>;
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
    queryStorage?: FavoriteQueryStorageAccess;
    pipelineStorage?: PipelineStorage;
};
export declare function activateRenameCollectionPlugin(_: unknown, { globalAppRegistry, dataService, instance, queryStorage, pipelineStorage, }: RenameCollectionPluginServices): {
    store: import("redux").Store<import("../modules/rename-collection/rename-collection").RenameCollectionRootState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
            dataService: Pick<DataService, "renameCollection">;
        }, import("redux").AnyAction>;
    };
    deactivate(): void;
};
//# sourceMappingURL=rename-collection.d.ts.map