import React from 'react';
export interface RenameCollectionModalProps {
    isVisible: boolean;
    error: Error | null;
    initialCollectionName: string;
    collections: {
        name: string;
    }[];
    isRunning: boolean;
    areSavedQueriesAndAggregationsImpacted: boolean;
    hideModal: () => void;
    renameCollection: (newCollectionName: string) => void;
    clearError: () => void;
}
declare function RenameCollectionModal({ isVisible, error, initialCollectionName, collections, areSavedQueriesAndAggregationsImpacted, isRunning, hideModal, renameCollection, clearError, }: RenameCollectionModalProps): JSX.Element;
declare const MappedRenameCollectionModal: import("react-redux").ConnectedComponent<typeof RenameCollectionModal, {
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default MappedRenameCollectionModal;
//# sourceMappingURL=rename-collection-modal.d.ts.map