import type AppRegistry from 'hadron-app-registry';
import type { MongoDBInstance } from 'mongodb-instance-model';
import type { DataService } from 'mongodb-data-service';
import type { ActivateHelpers } from 'hadron-app-registry';
import type Database from 'mongodb-database-model';
export type CollectionsServices = {
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
    dataService: DataService;
};
export type CollectionsThunkExtraArg = {
    globalAppRegistry: AppRegistry;
    database: Database;
    dataService: DataService;
};
export declare function activatePlugin({ namespace }: {
    namespace: string;
}, { globalAppRegistry, instance, dataService }: CollectionsServices, { on, cleanup, addCleanup }: ActivateHelpers): {
    store: import("redux").Store<import("../modules/collections").CollectionsState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
            database: Database;
            dataService: DataService;
        }, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
//# sourceMappingURL=collections-store.d.ts.map