import type AppRegistry from 'hadron-app-registry';
import type { MongoDBInstance } from '@mongodb-js/compass-app-stores/provider';
import type { DataService } from 'mongodb-data-service';
import type { ActivateHelpers } from 'hadron-app-registry';
type DatabasesTabServices = {
    globalAppRegistry: AppRegistry;
    instance: MongoDBInstance;
    dataService: DataService;
};
export declare function activatePlugin(_initialProps: Record<string, never>, { globalAppRegistry, instance, dataService }: DatabasesTabServices, { on, cleanup, addCleanup }: ActivateHelpers): {
    store: import("redux").Store<import("../modules/databases").DatabasesState, import("redux").AnyAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, {
            globalAppRegistry: AppRegistry;
        }, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
export {};
//# sourceMappingURL=databases-store.d.ts.map